## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseDBSpace

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASABaseDBSpaceImpl, SybaseASACatalogBaseDBSpace

    public interface SybaseASABaseDBSpace

extends SQLObject

A representation of the model object 'Sybase ASA Base DB Space'.

The following features are supported:

- `File Name`
- `Database`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseDBSpace()`

Method Summary
`SybaseASABaseDatabase` `getDatabase()` Returns the value of the 'Database' container reference.
`java.lang.String` `getFileName()` Returns the value of the 'File Name' attribute.
`void` `setDatabase(SybaseASABaseDatabase value)` Sets the value of the '`Database`' container reference.
`void` `setFileName(java.lang.String value)` Sets the value of the '`File Name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFileName

    java.lang.String getFileName()

  Returns the value of the 'File Name' attribute.

  If the meaning of the 'File Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'File Name' attribute.
  See Also:
    `setFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDBSpace_FileName()`

### setFileName

    void setFileName(java.lang.String value)

  Sets the value of the '`File Name`' attribute.

  Parameters:
    `value` - the new value of the 'File Name' attribute.
  See Also:
    `getFileName()`

### getDatabase

    SybaseASABaseDatabase getDatabase()

  Returns the value of the 'Database' container reference. It is bidirectional and its opposite is '`Db Spaces`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' container reference.
  See Also:
    `setDatabase(SybaseASABaseDatabase)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDBSpace_Database()`, `SybaseASABaseDatabase.getDbSpaces()`

### setDatabase

    void setDatabase(SybaseASABaseDatabase value)

  Sets the value of the '`Database`' container reference.

  Parameters:
    `value` - the new value of the 'Database' container reference.
  See Also:
    `getDatabase()`